API Reference
List social posts
Returns a brand's recent social-media posts across tracked platforms, newest first, over a recent window.
GET
/brands/{brandSlug}/social-mediaAuthorizationBearer <token>
In: header
Path Parameters
brandSlugstring
Query Parameters
countryCodestring
Value in
"ae" | "sa" | "kw" | "qa" | "bh" | "eg" | "jo" | "om" | "ma" | "kz" | "iq"from?string
Format
date-timeto?string
Format
date-timelimit?integer
Range
1 <= valuecursor?string
Response Body
curl -X GET "https://loading/v1/brands/string/social-media?countryCode=ae&from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&limit=1&cursor=string"{
"data": [
{
"eventType": "string",
"eventDate": "string",
"caption": "string",
"likeCount": 0,
"commentCount": 0,
"location": "string",
"url": "string",
"mediaUrl": "string",
"isPinned": true
}
],
"pageInfo": {
"nextCursor": "string",
"hasMore": true
}
}Empty
Empty
Empty
Empty
Empty